<?php 
define('TIME', time());
define('BASE_DIR', $_SERVER['DOCUMENT_ROOT']);
session_start();
if (!isset($_SESSION['user_id'])) { exit(); }

function __autoload($name){ include(BASE_DIR."/classes/_class.".$name.".php");}

$config = new config;

$db = new db($config->HostDB, $config->UserDB, $config->PassDB, $config->BaseDB);
$db->Query("set names cp1251;");

$id = (int)$_GET['view']; 

$db->query("SELECT * FROM db_serfingy WHERE id = '".$id."' and money >= price and status = '2' LIMIT 1"); 
   
if ($db->NumRows()) 
{ 
  $result = $db->FetchArray();

  $db->query("SELECT id FROM db_serfingy_view WHERE ident = '".$id."' and user_id = '".$_SESSION['user_id']."' LIMIT 1");
  $viewd = $db->NumRows();

  if (!$viewd){
    $_SESSION['view']['cnt'] = md5(session_id().$_SESSION['user_id'].$result['id']);
    $_SESSION['view']['id'] = $result['id'];
    $_SESSION['view']['timer'] = $result['timer'];
    $_SESSION['view']['timestart'] = TIME;
  }
  
  ?>
  <!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml">
   <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Просмотр видео</title>
    <meta name="robots" content="none" />
    <link rel="stylesheet" href="/style/style-serf.css" type="text/css" />
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://www.youtube.com/iframe_api"></script>
   </head>
   <body>
<?php
if (!$viewd){
?>
<style type="text/css">
.video {
  height: 0;
  position: relative;
  padding-bottom: 56.25%;
}
.video iframe {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}
</style>
<script>
var interval = '',
  played = 0,
  info_ch = true,
  fullyPlayed = false,
  player, playing = false,
  cnt = '<?=$_SESSION['view']['cnt'];?>';

function onYouTubeIframeAPIReady() {
player = new YT.Player('ytPlayer', {
  videoId: "<?=$result['url1']?>",
  events: {
    'onReady': onPlayerReady,
    'onStateChange': onYouTubePlayerStateChange
  }
});
}
var timers_w = <?=$_SESSION['view']['timer']?>,
coun = false;

function onPlayerReady(event) {
  $('#blockwait').text('Запустите видео');
  $('#blockwait').css({'background': 'unset', 'padding-left': 'unset'});
  event.target.playVideo();
  coun = true;
}

function onYouTubePlayerStateChange(a) {
  if (a.data == YT.PlayerState.PLAYING) {
    playing = true;
    window.top.document.title = 'Просмотр видео';
    interval = window.setInterval("times_go()", 1000);
  } else {
    $('#blocktimer').html('<h4>Запустите видео</h4>');
    window.top.document.title = 'Запустите видео';
    if (playing) {
      window.clearInterval(interval)
    }
    playing = false
  }

}

function times_go(){
  if(coun){
    var inform = info_ch;
    if (inform) {
      window.top.document.title = 'Просмотр видео';
      $('#blockwait').hide();
      $('#blocktimer').show();
      timers_w--;
      var text_time = timers_w;
      if(text_time<10){
          text_time = "0" + text_time;
      }
      $("#blocktimer").html('<h4>'+text_time+'<span> секунд</span></h4>');
        if(timers_w==0){
            window.clearInterval(interval)
            window.top.document.title = 'Ожидание подтверждения';
            $('#blocktimer').text('Ожидание');
            coun = false; 
            nextstep(0, cnt);
        }
    } else {
        $("#blocktimer").show();
        $('#blockwait').hide();
        $("#blocktimer").html('Ошибка! Вернитесь во вкладку');  
         window.top.document.title = 'Вернитесь во вкладку'; 
      }
  }           
}

document.addEventListener("visibilitychange", function() {
  if (document.visibilityState === 'visible') {
    info_ch = true; //на странице
    player.playVideo();
  } else {
    info_ch = false; //не на странице
    player.pauseVideo();
  }
});

function vernum(vnum) {
    nextstep(vnum, cnt);
    return false;
}
            
function nextstep(num, cnt)
{
    var params = {'num': num, 'cnt': cnt};

    $.ajax({
      url: '/ajax/us-stepserfy.php',
      data: params,
      type: 'POST',
      dataType: 'json',
      encoding: true,
      error: function(e) {
        console.log(e['responseText']);
        $("#blockverify").html('<div class="blockerror">Ошибка</div>'); 
      },
      success: function(data) {
        if(data.data != null && data.error != null){
          if(data.error == false){
            if(data.ok){
              $("#blockverify").html('<div class="blocksuccess">Спасибо за посещение!<br /><span>Плата за просмотр ('+data.pay_user+' Руб.) зачислена</span></div>');

              if ((data.move != '0')&&(data.move.length > 1)) {
                  setTimeout("top.window.location  = '"+data.move+"'", 500);
              }
            }else if(data.data == '1'){
              var span = '';
              $.each(data.code, function(index, value){
                if(index == 5) span += '<br />';
                  span += '<span class="serfnum" onclick="vernum('+value+');">'+index+'</span>';
                });
                 $("#blockverify").html('<table class="clocktable"><tr><td><img src="/captcha/captcha-st/captcha.php?sid='+data.rand+'alt="Проверка" style="margin: 0 10px 0 0;" /></td><td nowrap="nowrap">'+span+'</td></tr></table>');
            }else if(data.data == '403'){
              $("#blockverify").html('<div class="blockerror">Неверно</div>');
            }else{
              $("#blockverify").html('<div class="blockerror">Ошибка</div>');
            }
          }else{
            if(data.data == '444'){
              $("#blockverify").html('<div class="blockerror">Видео уже просмотрено</div>');
            }else{
              $("#blockverify").html('<div class="blockerror">'+data.data+'</div>');
            }
          }
        }
      }
    });
}
</script>

<table class="serfframe" border="0" cellspacing="0" cellpadding="0">
  <tr>
   <td>
    <div id="blockverify">
     <div id="blockwait" style="font-size: 15px;">
      Подождите, сайт загружается...
     </div>
     <div id="blocktimer" style="display: none;">
        <span>Дождитесь окончания таймера</span>
     </div>
    </div>
   </td>
  </tr>
</table>

<div class="video">
  <div id="ytPlayer">
  </div>
</div>
<?php
}else{
?>
  <table class="serfframe" border="0" cellspacing="0" cellpadding="0">
  <tr>
   <td>
    <div id="blockverify">
      <div style="text-align: center;">Вы уже просматривали данное видео</div>
    </div>
   </td>
  </tr>
 </table>
<?
}
?>
</body>
</html>
  <?php
}else{?>
  <style>
  
.button { 
  background: #7b5436;
  color: #ffffff;
  border: none;
  cursor: pointer;
  font: 700 16px "Comfortaa";

  padding: 10px 20px;
  position: relative;
  text-align: center;
  text-decoration: none;
}
.button:hover {
  background: #edad3c;
  border: 1px solid #7b5436;
  border: none;
  color: #7b5436;
  text-decoration: none;
}

</style>
<span style="color: red !important; display: block; text-align: center;">Серфинг не существует</span>
<button onclick="javascript:location.replace('/account');" class="button" style="width: 200px; margin: 10 auto; display: block;">Перейти в аккаунт</button>
<?
} 
?>